unit dosed;
interface
uses winprocs, wintypes, windos, dvcrt, dvwin, strings,
     dosproc, dosmsg, dosgeral;

procedure editarLerArquivo (nomearq: string; opcao: integer);

implementation

{--------------------------------------------------------}
{                  opcao de edicao
{--------------------------------------------------------}

procedure editarLerArquivo (nomearq: string; opcao: integer);
var
    nomeProg, nomeDir, nomeCom: string;

begin
    if opcao = 0 then
        begin
            nomeProg := sintAmbiente ('DOSVOX', 'EDITOR');
            if nomeProg = '' then nomeProg := 'C:\WINVOX\EDIVOX.EXE';
        end
    else
    if opcao = 1 then
        begin
            nomeProg := sintAmbiente ('DOSVOX', 'LEITOR');
            if nomeProg = '' then nomeProg := 'C:\WINVOX\LEVOX.EXE';
        end
    else
    if opcao = 2 then
        begin
            nomeProg := sintAmbiente ('DOSVOX', 'MINIED');
            if nomeProg = '' then nomeProg := 'C:\WINVOX\MINIED.EXE';
        end;

    getdir (0, nomeDir);

    if executaProg (nomeProg, nomeDir, nomeArq, SW_SHOWNORMAL) then
        esperaProgVoltar;
end;

end.